summary refs log tree commit diff
path: root/modules/system/activation/switch-to-configuration.sh
diff options
context:
space:
mode:
Diffstat (limited to 'modules/system/activation/switch-to-configuration.sh')
-rw-r--r--modules/system/activation/switch-to-configuration.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/modules/system/activation/switch-to-configuration.sh b/modules/system/activation/switch-to-configuration.sh
index da1471cf550b..62af63ec39f3 100644
--- a/modules/system/activation/switch-to-configuration.sh
+++ b/modules/system/activation/switch-to-configuration.sh
@@ -59,7 +59,7 @@ fi
 # Activate the new configuration.
 if [ "$action" != switch -a "$action" != test ]; then exit 0; fi
 
-oldVersion=$(cat /var/run/current-system/upstart-interface-version 2> /dev/null || echo 0)
+oldVersion=$(cat /run/current-system/upstart-interface-version 2> /dev/null || echo 0)
 newVersion=$(cat @out@/upstart-interface-version 2> /dev/null || echo 0)
 
 if test "$oldVersion" -ne "$newVersion"; then